Does Cumulus support MLAG ISSU?


Hi,

I have recently seen a webinar from ipSpace about Cumulus Linux, where it was said that Cumulus does not support ISSU (in service software upgrade). Some vendors call the possibility to upgrade one switch of an MLAG pair at a time MLAG ISSU. Those vendors typically check the MLAG protocol version of the peer and do not establish an MLAG peering if the versions do not match and are not known to be ISSU compatible. This situation is usually only supported during software upgrade, i.e. the other peer is supposed to be upgraded, or the upgrade rolled back, in a reasonable time window.

How does Cumulus handle the case of two MLAG peers using different Cumulus Linux versions?

Thanks,
Erik

(Edited for spelling)

2 replies

Userlevel 3
In the case of upgrading 2.5 to 3.2, the clagd will detect the primary mlag switch is still running 2.5, and will not establish CLAG peering. Then the primary can be upgraded, and the recently upgraded 3.2 switch, will assume the primary role, while the other switch is upgraded.

For an upgrade within 3.x, the CLAG protocol should be compatible. However we are currently working on testing and documenting this process to be as hitless as possible.
Thanks for the detailed answer! 🙂

Reply